package digital.laboratory.platform.imr.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;



@Data
@ApiModel(value = "存储dto")
public class DepositToDTO {


    @ApiModelProperty(value="楼层")
    private String buildingLv;

    @ApiModelProperty(value="房间号")
    private String roomNo;

    @ApiModelProperty(value="柜子名称")
    private String cabinetName;

    @ApiModelProperty(value="柜子id")
    private String boxId;

    @ApiModelProperty(value="监督人id")
    private String supervisorId;


    @ApiModelProperty(value="样本信息")
    private List<SampleInfo> sampleInfo;


    @ApiModelProperty(value="详细位置")
    private String storageLocation;

    /**
     * 存放格子id
     */
    @ApiModelProperty(value="存放格子id")
    private String cellId;


    @ApiModelProperty(value="格子状态")
    private String cellStatus;


    @ApiModelProperty(value="入库质量")
    private double quality;
}
