package digital.laboratory.platform.imr.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 退还出库dto
 */

@Data
@ApiModel(value = "退还出库dto")
public class ReturnOutboundDTO {


    @ApiModelProperty(value = "退还出库id集合")
    List<String> sampleIds;

    @ApiModelProperty(value = "退还单位")
    String returnInstitution;

    @ApiModelProperty(value = "备注")
    String remark;

    @ApiModelProperty(value = "监督人")
    String supervisor;


}
