package digital.laboratory.platform.imr.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;


/**
 * 公示发布状态
 */
@Getter
@RequiredArgsConstructor
public enum ReleaseStatus {

    NOT_PUBLISHED(-1,"未发布"),
    PUBLISHED(1,"已发布");

    @EnumValue//标记数据库存的值是status
    private final int status;
    @JsonValue//标记返回前端字段
    private final String description;
}
