package digital.laboratory.platform.imr.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Data;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 样本出入库标识
 */

@Getter
@RequiredArgsConstructor
public enum WarehouseMark {


    STORAGE_IN_WAREHOUSE(1,"已入库"),

    LEAVE_THE_WAREHOUSE(-1,"已出库");



    @EnumValue//标记数据库存的值是mark
    private final int mark;
    @JsonValue//标记返回前端字段
    private final String description;
}
