package digital.laboratory.platform.imr.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.imr.dto.ReviewApprovalDTO;
import digital.laboratory.platform.imr.entity.SampleApply;
import digital.laboratory.platform.imr.vo.SampleApplyVO;

import java.util.List;

public interface ReviewApprovalService {
    /**
     * 一级审核
     * @param dto
     * @param dlpUser
     * @return
     */
    SampleApplyVO firstAudit(ReviewApprovalDTO dto, DLPUser dlpUser);

    /**
     * 二级审核
     * @param dto
     * @param dlpUser
     * @return
     */
    SampleApplyVO secondaryAudit(ReviewApprovalDTO dto, DLPUser dlpUser);


    /**
     * 审批
     * @param dto
     * @param dlpUser
     * @return
     */
    SampleApplyVO approval(ReviewApprovalDTO dto, DLPUser dlpUser);

    //IPage<SampleApplyVO> getAuditPage(Page<SampleApply> page, QueryWrapper<SampleApply> qw);

    //List<SampleApplyVO> getAuditList(QueryWrapper<SampleApply> qw);
}
