package digital.laboratory.platform.imr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-04-16 23:35:51
 * @describe  实体类
 */
@Data
@TableName(value = "sample_apply_detailed", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "样本申请明细")
public class SampleApplyDetailed extends BaseEntity {

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="id")
    private String id;

    /**
     * 样本id
     */
    @ApiModelProperty(value="样本id")
    private String sampleId;

    /**
     * 申请id
     */
    @ApiModelProperty(value="申请id")
    private String applyId;

    /**
     * 1通过/-1不通过
     */
    @ApiModelProperty(value="1通过/0.待审核审批/-1不通过")
    private Integer status;






}
