package digital.laboratory.platform.imr.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import digital.laboratory.platform.imr.entity.IdentificationMaterialTransferAnalysisAnnex;
import digital.laboratory.platform.imr.vo.AnalysisSample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *  Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-05-08
 * @describe  Mapper 类
 */
@Mapper
public interface IdentificationMaterialTransferAnalysisAnnexMapper extends BaseMapper<IdentificationMaterialTransferAnalysisAnnex> {

    List<AnalysisSample> getSampleTransfer(@Param("sampleId") String sampleId);
}
