package digital.laboratory.platform.imr.mapper;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import digital.laboratory.platform.imr.entity.SampleOutboundRecord;
import digital.laboratory.platform.imr.vo.OutboundRecordVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 *  Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-04-15
 * @describe  Mapper 类
 */
@Mapper
public interface SampleOutboundRecordMapper extends BaseMapper<SampleOutboundRecord> {

    IPage<OutboundRecordVO> outboundRecord(@Param("page") Page<SampleOutboundRecord> page,@Param(Constants.WRAPPER) QueryWrapper<SampleOutboundRecord> qw);
}
