package digital.laboratory.platform.imr.service;


import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.imr.dto.DestroyOutboundDTO;
import digital.laboratory.platform.imr.dto.ReturnOutboundDTO;

import java.util.List;

/**
 *
 * 自定义出库业务层
 */
public interface SampleOutWarehouseService {


    /**
     * 销毁出库
     * @param sampleIds
     * @param dlpUser
     */

    void destroyOutbound(DestroyOutboundDTO dto, DLPUser dlpUser);

    /**
     * 退还出库
     * @param dto
     * @param dlpUser
     */
    void returnOutbound(ReturnOutboundDTO dto, DLPUser dlpUser);
}
