package digital.laboratory.platform.imr.vo;

import digital.laboratory.platform.imr.entity.SampleInboundRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel(value = "入库记录vo")
public class InboundRecordVO extends SampleInboundRecord {


    @ApiModelProperty(value = "样本编号")
    private String sampleNo;


    @ApiModelProperty(value = "来源")
    private String source;


    @ApiModelProperty(value = "事件名称")
    private String eventName;


    @ApiModelProperty(value = "样本类型")
    private String sampleType;


    @ApiModelProperty(value = "样本类别")
    private String category;


    @ApiModelProperty(value = "样本性状")
    private String form;


    @ApiModelProperty(value = "存储方式")
    private String storageMethod;


    @ApiModelProperty(value = "存放人")
    private String depositorName ;

    @ApiModelProperty(value = "检材管理员")
    private String imAdministratorsName ;





}
