package digital.laboratory.platform.imr.vo;
import digital.laboratory.platform.imr.entity.SampleApply;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "SampleApplyVO",description = "检材申请vo")
public class SampleApplyVO extends SampleApply {

    /**
     *
     */
    @ApiModelProperty(value="一级审核员姓名")
    private String firstAuditorName;


    @ApiModelProperty(value="状态码")
    private Integer statusCode;



    /**
     * 二级审核员姓名
     */
    @ApiModelProperty(value="二级审核员姓名")
    private String secondaryAuditName;


    /**
     * 审批人姓名
     */
    @ApiModelProperty(value="approverName")
    private String approverName;


    /**
     * 申请人姓名
     */
    @ApiModelProperty(value="申请人姓名")
    private String applicantName;

    /**
     * 申请人部门
     */
    @ApiModelProperty(value="申请人部门")
    private String applicantDepartment;

    /**
     * 对应的样本信息vo
     */
    @ApiModelProperty(value="对应的样本信息vo")
    private List<ApplySampleVO> sampleVO;
}
